<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Cryville.Common.SurrogateHash</name>
    </assembly>
    <members>
        <member name="T:Cryville.Common.Collections.Specialized.IntKeyedDictionary`1">
            <summary>
            Represents a collection of <see cref="T:System.Int32" /> keys and values. Identical to <see cref="!:Dictionary&lt;int, T&gt;" /> but much faster.
            </summary>
            <typeparam name="T">The type of the values in the dictionary.</typeparam>
        </member>
        <member name="T:Cryville.Common.IdentifierManager">
            <summary>
            A manager that assigns each given identifiers a unique integer ID.
            </summary>
        </member>
        <member name="F:Cryville.Common.IdentifierManager.Shared">
            <summary>
            A shared instance of the <see cref="T:Cryville.Common.IdentifierManager" /> class.
            </summary>
        </member>
        <member name="M:Cryville.Common.IdentifierManager.#ctor">
            <summary>
            Creates an instance of the <see cref="T:Cryville.Common.IdentifierManager" /> class.
            </summary>
        </member>
        <member name="M:Cryville.Common.IdentifierManager.Request(System.Object)">
            <summary>
            Requests an integer ID for an identifier.
            </summary>
            <param name="ident">The identifier.</param>
            <returns>The integer ID.</returns>
        </member>
        <member name="M:Cryville.Common.IdentifierManager.Retrieve(System.Int32)">
            <summary>
            Retrieves the identifier assigned with an integer ID.
            </summary>
            <param name="id">The integer ID.</param>
            <returns>The identifier.</returns>
        </member>
    </members>
</doc>
